cascading.flow.hadoop.stream

## Class HadoopGroupGate

- java.lang.Object
- - cascading.flow.stream.duct.Duct<Incoming,Outgoing>
  - - cascading.flow.stream.duct.Gate<Incoming,Outgoing>
    - - cascading.flow.stream.element.SpliceGate<TupleEntry,Grouping<TupleEntry,TupleEntryIterator>>
      - - cascading.flow.stream.element.GroupingSpliceGate
        - - cascading.flow.hadoop.stream.HadoopGroupGate

- All Implemented Interfaces:
    Collapsing, Window, ElementDuct
  Direct Known Subclasses:
    HadoopCoGroupGate, HadoopGroupByGate

      public abstract class HadoopGroupGate
      extends GroupingSpliceGate

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cascading.flow.stream.element.GroupingSpliceGate

      `GroupingSpliceGate.DelegatedTuple`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected HadoopGroupByClosure` | `closure`
    `protected OutputCollector` | `collector`

    - ### Fields inherited from class cascading.flow.stream.element.GroupingSpliceGate

      `groupComparators, groupHasher, grouping, groupSortTuple, groupTuple, keyBuilder, keyEntry, keyFields, keyTuple, nullsAreNotEqual, sortBuilder, sortFields, tupleEntryIterator, valueComparators, valuesBuilder, valuesFields, valueTuple`

    - ### Fields inherited from class cascading.flow.stream.element.SpliceGate

      `flowProcess, incomingScopes, outgoingScopes, role, splice`

    - ### Fields inherited from class cascading.flow.stream.duct.Duct

      `next`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HadoopGroupGate(FlowProcess flowProcess, Splice splice, IORole role)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Tuple key, java.util.Iterator<Tuple>[] values)`
    `void` | `bind(StreamGraph streamGraph)`
    `void` | `complete(Duct previous)`
    `protected abstract HadoopGroupByClosure` | `createClosure()`
    `protected abstract OutputCollector` | `createOutputCollector()`
    `void` | `prepare()`
    `void` | `receive(Duct previous, int ordinal, TupleEntry incomingEntry)`
    `void` | `start(Duct previous)`
    `protected abstract Tuple` | `unwrapGrouping(Tuple key)`
    `protected abstract void` | `wrapGroupingAndCollect(Duct previous, int ordinal, Tuple valuesTuple, Tuple groupKey)`

    - ### Methods inherited from class cascading.flow.stream.element.GroupingSpliceGate

      `cleanup, createDefaultNarrowBuilder, createNarrowBuilder, createNulledBuilder, getDelegatedTuple, getKeyComparator, getNumDeclaredIncomingBranches, initComparators, initialize`

    - ### Methods inherited from class cascading.flow.stream.element.SpliceGate

      `equals, getBranchNames, getFlowElement, getIncomingScopes, getOutgoingScopes, getSplice, handleException, handleReThrowableException, hashCode, hasTrapHandler, setBranchNames, setTrapHandler, toString`

    - ### Methods inherited from class cascading.flow.stream.duct.Duct

      `getNext, getNextFor, receiveFirst`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### closure

          protected HadoopGroupByClosure closure

    - #### collector

          protected OutputCollector collector

  - ### Constructor Detail

    - #### HadoopGroupGate

          public HadoopGroupGate(FlowProcess flowProcess,
                         Splice splice,
                         IORole role)

  - ### Method Detail

    - #### bind

          public void bind(StreamGraph streamGraph)

      Overrides:
        `bind` in class `Duct<TupleEntry,Grouping<TupleEntry,TupleEntryIterator>>`

    - #### prepare

          public void prepare()

      Overrides:
        `prepare` in class `Duct<TupleEntry,Grouping<TupleEntry,TupleEntryIterator>>`

    - #### createOutputCollector

          protected abstract OutputCollector createOutputCollector()

    - #### start

          public void start(Duct previous)

      Overrides:
        `start` in class `Duct<TupleEntry,Grouping<TupleEntry,TupleEntryIterator>>`

    - #### receive

          public void receive(Duct previous,
                     int ordinal,
                     TupleEntry incomingEntry)

      Specified by:
        `receive` in class `Duct<TupleEntry,Grouping<TupleEntry,TupleEntryIterator>>`

    - #### complete

          public void complete(Duct previous)

      Overrides:
        `complete` in class `Duct<TupleEntry,Grouping<TupleEntry,TupleEntryIterator>>`

    - #### accept

          public void accept(Tuple key,
                    java.util.Iterator<Tuple>[] values)

    - #### createClosure

          protected abstract HadoopGroupByClosure createClosure()

    - #### wrapGroupingAndCollect

          protected abstract void wrapGroupingAndCollect(Duct previous,
                                    int ordinal,
                                    Tuple valuesTuple,
                                    Tuple groupKey)
                                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### unwrapGrouping

          protected abstract Tuple unwrapGrouping(Tuple key)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.